# pnmtoddif

Updated: 2003
Table Of Contents

## NAME

pnmtoddif - Convert a PNM image to DDIF format

## SYNOPSIS

pnmtoddif [-resolution x y] [pnmfile [ddiffile]]

## DESCRIPTION

This program is part of Netpbm.

pnmtoddif takes a PNM image and converts it into a DDIF image file.

pnmtoddif writes PBM format (bitmap) data as a 1 bit DDIF, PGM format data (grayscale) as an 8 bit grayscale DDIF, and PPM format (color) data as an 8,8,8 bit color DDIF. pnmtoddif writes any DDIF image file uncompressed. The data plane organization is interleaved by pixel.

In addition to the number of pixels in the width and height dimension, DDIF images also carry information about the size that the image should have, that is, the physical space that a pixel occupies. Netpbm images do not carry this information, hence you have to supply it externally. The default of 78 dpi has the beneficial property of not causing a resize on most Digital Equipment Corporation color monitors.

## OPTIONS

resolution x y
  The horizontal and vertical resolution of the output image in dots per inch. Default is 78 dpi.

## ARGUMENTS

pnmfile
  The filename for the image file in pnm format. Default is to read from Standard Input.
ddiffile
  The filename for the image file to be created in DDIF format. By default, pnmtoddif writes to Standard Output.

## AUTHOR

Burkhard Neidecker-Lutz, Digital Equipment Corporation, CEC Karlsruhe neideck@nestvx.enet.dec.com

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- ARGUMENTS
- AUTHOR